<?php


/*
* $Id: update.php
* $Loc: admin/updates/Product_Filters-Attributes
*
* Name: Product_Filters-Attributes
* Version: 1.1
* Release Date: 05/22/2022
* Author: Kofod95
* 	 @kofod95
*
* License: Released under the GNU General Public License
*
* Comments: Copyright (c) 2021: Daniel - @Kofod95
* 
* 
*   Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
* 
*   1. Re-distributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
* 
*   2. Re-distributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
* 
*   3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
* 
*   THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
* (Packaged with Zipur Bundler v2.0.2)
*/

$update_config = [
	'description'		=> 'The products-filter adds drop-down menus on product pages within categories.
These allows the user to show only the products with the chosen attribute added to it.
Fx: On a clean install clicking on "Vegetables" will show a filter with the header "Box Size".
Clicking the drop-down shows the options "12" and "24", and clicking either of those will hide all products that are not offered in boxes or that number.
New attributes will automatically be added as filters.',
	'required_version'	=> '1.0.8.2',
	'max_version'		=> '1.0.8.15',
	'osc_required_version'	=> '',
	'osc_max_version'	=> '',
	'ignore_folders'	=> '',
	'supports_osc'		=> false,
	'supports_phoenix'		=> true,
	'update_version'	=> '1.1',
	'update_date'		=> '05/22/2022',
	'update_author'		=> 'Kofod95',
	'update_all_php'	=> true,
	'randomize_zip_file'	=> false,
	'update_contact'	=> '@kofod95',
	'update_license'	=> 'Released under the GNU General Public License',
	'update_comments'	=> 'Copyright (c) 2021: Daniel - @Kofod95


  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

  1. Re-distributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

  2. Re-distributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.',
	'tasks'			=> 'install|remove',
];

$update_pre_install_actions = [
];


$update_post_install_actions = [
];


$update_uninstall_actions = [
	[
		'type'		=> 'files_delete',
		'action'	=> 'remove',
		'optional'	=> false,
		'items'		=> [
			'/includes/languages/english/modules/content/index_products/cm_ip_filter.php',
			'/includes/modules/content/index_products/cm_ip_filter.php',
			'/includes/modules/content/index_products/templates/tpl_cm_ip_filter.php',
			'templates/override/includes/hooks/shop/filter/attributeFilter.php',
		],
	],
];


?>